Parselv1.0.0
Network

Depart a load

Departs the load's containers. `provider` and `bol_id` are optional but must be sent together, to tie the load to its trip. The load departs even when no trip matches.

POST
/api/loads/{id}/depart

Authorization

authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Load ID

Formatuuid

Request Body

application/json

Depart params

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.parsel.app/api/loads/497f6eca-6276-4993-bfeb-53cbbbba6f08/depart" \  -H "Content-Type: application/json" \  -d '{    "bol_id": "S-123456-2610",    "provider": "WARP"  }'
{
  "data": [
    {
      "created_at": {},
      "event_type": "SORT",
      "id": "550e8400-e29b-41d4-a716-446655440002",
      "network_container_id": "550e8400-e29b-41d4-a716-446655440001",
      "network_location_id": "550e8400-e29b-41d4-a716-446655440000",
      "shipping_label_id": "550e8400-e29b-41d4-a716-446655440003",
      "tracking_code": "SPXTPA076800000061"
    }
  ]
}
{
  "errors": {
    "message": "The request is unauthorized",
    "status": "Unauthorized"
  }
}
{
  "errors": {
    "message": "The requested resource could not be found",
    "status": "Not Found"
  }
}
{
  "errors": {
    "message": "The request could not be processed",
    "reasons": [
      {
        "carrier": "UniUni",
        "message": "Zip code not serviced.",
        "code": "zip_not_serviced"
      }
    ],
    "status": "Unprocessable Entity"
  }
}